<?php
session_start();
	include_once("../scripts/connect.php");
	$conexion = conecta_default();
	include_once("../scripts/session.php");
	
	$sesion=new Sesion("","",""); /*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
	
	if(!$sesion->isValida("1")) /*Sesion invalida*/
		header("Location: ../index.php?err=NoSesion");/*no hay sesion*/
	else{
		$dato=explode("|",$_SESSION['usuario']);
		$sesion->setDatos($dato[0], $dato[1], $dato[2]);
		$sesion->setSesion();
	}
 
	function redondear_dos_decimal($valor) {
	   $float_redondeado = round($valor * 100) / 100;
	   return $float_redondeado;
	}
	
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	</head>
	<body>
<?php 

	 
	function crearTabla($gen,$fecha1,$fecha2,$gt){
		global $gtot;
		global $gtot2;
		global $totales;
		echo "<table border=1><tr bgcolor=\"#e8d78d\"><th>Referencia</th><th>Nombre</th><th>Compras</th></tr>";
		
       	while (list($clave, $valor ) = each($gen))
        {
			$qc1 = "SELECT sum(puntos) FROM transacciones 
					join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones
					WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";

			$cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
			$rr = mysqli_fetch_row($cc1);
			$val1=$rr[0];
			$toti+=$val1;
			echo"<tr><td>$valor[1]</td><td>".utf8_encode($valor[2])."</td><td>$val1</td><tr>";
        }

		$gtot+=$toti; 
		$gtot2=$toti*$gt;
		$totales+=$gtot2;
	       
        echo"</table>";

		return $gtot2;
	}

	$max_gen = 13;

	$gen_exists = array_fill(1, $max_gen, true);
	$arecibir = 0;
	$gt1 = .1;
	$gt2 = .14;
	$gt3 = .05;
$gt5 = .01;
	$fecha1 = $_POST['fech1'];
	$idcd = $_POST['elci'];
	$fecha2 = $_POST['fech2'];
	$rfc = $_POST['elrfc'];

	$qcc1 = "SELECT id_inver, estampa FROM inversionista WHERE rfc = \"$rfc\" ";
	$ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
	$rrc = mysqli_fetch_row($ccc1);
	
	$id_inv = $rrc[0];
	$fecha_registro = $rrc[1];
	

	$qDG1="SELECT datediff(curdate(),'$fecha_registro')";
  			$cDG1 = mysqli_query($conexion, $qDG1) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG1 = mysqli_fetch_row($cDG1))
		   	{
		    	$diasdif = $rDG1[0];
		    
		    	}
		    
    
	 echo"dias $diasdif";
	
	
	
	$tiempo_limite = date_add(date_create($fecha_registro), date_interval_create_from_date_string('4 months'))->modify('first day of this month')->getTimestamp();
	$nuevo_usuario = (time() < $tiempo_limite);

	$gtot=0;

if($fecha_registro<='2017-05-01'){
  $qDG="SELECT  id_inver, sum(puntos) as compras, vip, nombre, appat, apmat, referencia FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver WHERE `idprom`=\"$idinv\" and fechat between \"$fecha1\" and \"$fecha2\" group by id_inver";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
			   	if($rDG[1]>=1500 && $rDG[2]==1){$calv++;$calt++;echo"<tr><td>$rDG[3] $rDG[4] $rDG[5]</td><td>$rDG[1]</td><td><font color=blue>VIP</font></td></tr>";}
			   		if($rDG[1]>=624 && $rDG[2]==0){$calr++;$calt++;echo"<tr><td>$rDG[3] $rDG[4] $rDG[5]</td><td>$rDG[1]</td><td>RRB</td></tr>";}
		    	
				}

}else{
  $qDG="SELECT  id_inver, sum(puntos) as compras, vip, nombre, appat, apmat, referencia, estampa FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver WHERE `idprom`=\"$idinv\" and fechat between \"$fecha1\" and \"$fecha2\" group by id_inver";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{  if( $rDG[7]>='$iniciomes'){$inicio=1;} 
			   	if($rDG[1]>=1500 && $rDG[2]==1){$calv++;$calt++;echo"<tr><td>$rDG[3] $rDG[4] $rDG[5]</td><td></td><td><font color=blue>VIP</font></td></tr>";}else{
			   		if($rDG[1]>=624 && $rDG[2]==1 && $inicio==1){$calv++;$calt++;echo"<tr><td>$rDG[3] $rDG[4] $rDG[5]</td><td>$rDG[1]</td><td><font color=blue>VIP</font></td></tr>";}	}
		    	
				}

}

echo"</table>Total $calt";	


	$vtas = "SELECT sum(puntos) FROM transacciones
			 join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones
			 WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$id_inv\" and fechat between \"$fecha1\" and \"$fecha2\"";

    $vtas1 = mysqli_query($conexion, $vtas) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
    $rr8 = mysqli_fetch_row($vtas1);
    $valin=$rr8[0];

 	echo "<br><center><b> Reporte Generacional $elmes $ano3</b><br>Compras Personales  $ $valin<br>";
 	echo "Fecha de Registro: ".date_format(date_create($fecha_registro),"d/m/Y")."<br>Fecha de Expiraci&oacute;n: ".date("d/m/Y",$tiempo_limite)."<br><br>";

 	$inver_query = "SELECT id_inver, referencia, nombre, appat, apmat FROM inversionista WHERE ";

 	for($i=1;$i<=$max_gen;$i++)
 	{
 		if($i<=1)
 			$loop_query = $inver_query . "idprom =  \"$id_inv\"";
 		else
 		{
 			while (list($clave, $valor ) = each($copy_gen[$i - 1]))
				$query_ids[$i][] = "idprom =  \"$valor[0]\"";
			$loop_query = $inver_query . implode(" OR ", $query_ids[$i]);
 		}

 		$loop_table = mysqli_query($conexion, $loop_query) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
 		while($loop_row = mysqli_fetch_row($loop_table))
		{
			$gentemp = array_slice($loop_row, 0, 2);
			array_push($gentemp, $loop_row[2]." ".$loop_row[3]." ".$loop_row[4]);
			$gen[$i][] = $gentemp;
		}

		$copy_gen[$i]=$gen[$i];

		if(empty($copy_gen[$i]))
		{
			$gen_exists = array_replace($gen_exists, array_fill($i, $max_gen - $i + 1, false));
			break;
		}
 	}

	while (list($clave, $valor ) = each($gen[1]))
	{
		$qc1 = "SELECT sum(puntos) FROM transacciones
				join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones
				WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";
		$cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
		$rr = mysqli_fetch_row($cc1);
		$val1=$rr[0];
		if ($val1>=624){$conteo++;}
	}

	if(true){
		echo "<center>";
		if(!$gen_exists[1])
			echo"<br><br>No hay distribuidores en la red</center>";
		for($i=1;$i<=$max_gen;$i++)
		{
			if($gen_exists[$i])
			{
					$cur_gt = ($i<=1) ? $gt1 : (($i<=4) ? $gt2 : $gt3);
					if($i>=7){$cur_gt =$gt5;}
				echo "<br><br><font color=\"#5C3C12\" size=\"+2\"><b>Generaci&oacute;n $i   --->".($cur_gt * 100)."%</b></font><br>";
				$reggen[$i]=crearTabla($gen[$i],$fecha1,$fecha2,$cur_gt);
			}
		}
	}
	$eltotal=0;

	$ordinal = array("", "Primera", "Segunda", "Tercera", "Cuarta", "Quinta", "Sexta", "Septima", "Octava", "Novena", "D&eacute;cima", "Onceava", "Doceava", "Treceava");

	echo"<br><br><b>Personas Directas Calificadas en el periodo: $conteo </b><br><br>

	<font color=\"#5C3C12\" size=\"+2\"><b>Resumen</b></font>

	<table border=\"1\" ><tr bgcolor=\"#e8d78d\">

	<th>Generaci&oacute;n</th><th>Porcentaje</th><th>Requisitos</th><th>Generados</th><th>A Recibir</th></tr>";

	for($i=1; $i<=$max_gen; $i++)
	{
			$cur_gt = ($i<=1) ? $gt1 : (($i<=4) ? $gt2 : $gt3);
					if($i>=7){$cur_gt =$gt5;}
		echo "<tr align=\"center\"><td>$ordinal[$i]</td><td>".($cur_gt * 100)." %</td><td>";
		$cur_tag = ($i<=1) ? "1 Persona directa calificada" : (($i<=5) ? "$i Personas directas calificadas" : "Red 5X25");
		echo $cur_tag . "</td><td>$reggen[$i]</td><td>";
		$eltotal+=$reggen[$i];
		if(!$gen_exists[$i])
			$reggen[$i] = 0;
		if($conteo>=$i||$nuevo_usuario){
			echo "$reggen[$i]";
			$arecibir+=$reggen[$i];
		}
		else
			echo"---";
		echo"</td></tr>";
	}
$arecibir=round($arecibir);
$eltotal=round($eltotal);
	echo"</table><br>

	El total de regal&iacute;as a recibir es de $arecibir<br>";

	$liminf=0;
	$fija=0;
	$excedente=0;
	
	echo"<br>El total de regal&iacute;as generadas es de $eltotal<br><br>";

	$impuestos = ($arecibir>=400) ? (round($arecibir*.07)) : 0;
	$pagar = $arecibir - (($arecibir>=400) ? ($impuestos) : 0);

	echo"El total de regal&iacute;as a recibir es de $arecibir<br>
	El total de impuestos es de $impuestos<br>
	El total de regal&iacute;as a depositar es de $pagar<br>

	<br><form name=\"Agrega\" action=\"altaregs.php\" method=\"post\">

	<input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Agregar Regalias a Sistema\" />

	<input type=hidden name=idinver value=$id_inv />

	<input type=hidden name=elci value=$idcd />

	<input type=hidden name=primera value='$reggen[1]' />

	<input type=hidden name=segunda value='$reggen[2]' />

	<input type=hidden name=tercera value='$reggen[3]' />

	<input type=hidden name=cuarta value='$reggen[4]' />

	<input type=hidden name=calificados value='$conteo' />

	<input type=hidden name=recibe value=$arecibir />

	<input type=hidden name=genero value=$eltotal />

	<input type=hidden name=imp value=$impuestos />
	<input type=hidden name=apagar value=$pagar />
	</form></center>";
?>
</body>
</html>